Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::PrimitiveRenderer Class Reference

プリミティブレンダラ More...

`#include <PrimitiveRenderer.h>`

Inheritance diagram for Lamp::PrimitiveRenderer:

List of all members.

## Public Member Functions
| PrimitiveRenderer ()
| コンストラクタ
virtual | ~PrimitiveRenderer ()
| デストラクタ
virtual void | render (const Matrix44 &viewMatrix, const Matrix44 &projectionMatrix)
| レンダリング
virtual void | render (Camera *camera)
| レンダリング
virtual void | request (const PrimitiveDrawRequest &primitive, const Matrix34 &matrix, Color4c color=Color4c::white, bool zTest=true)
| リクエスト
virtual void | request (const PrimitiveDrawRequest &primitive, const Vector3 &scale, const Vector3 &rotationXYZ, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| リクエスト
virtual void | request (const PrimitiveDrawRequest &primitive, const Vector3 &scale, const Quaternion &rotationQuaternion, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| リクエスト
virtual void | requestLine (int vertexCount, Vector3 *positions, const Matrix34 &matrix, Color4c color=Color4c::white, bool zTest=true)
| 線のリクエスト
virtual void | requestLine (int vertexCount, Vector3 *positions, const Vector3 &scale, const Vector3 &rotationXYZ, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| 線のリクエスト
virtual void | requestLine (int vertexCount, Vector3 *positions, const Vector3 &scale, const Quaternion &rotationQuaternion, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| 線のリクエスト
virtual void | requestLine (int vertexCount, Vector3 *positions, Color4c *colors, const Matrix34 &matrix, Color4c color=Color4c::white, bool zTest=true)
| 線のリクエスト
virtual void | requestLine (int vertexCount, Vector3 *positions, Color4c *colors, const Vector3 &scale, const Vector3 &rotationXYZ, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| 線のリクエスト
virtual void | requestLine (int vertexCount, Vector3 *positions, Color4c *colors, const Vector3 &scale, const Quaternion &rotationQuaternion, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| 線のリクエスト
virtual void | requestPoint (const Matrix34 &matrix, Color4c color=Color4c::white, bool zTest=true)
| ポイントのリクエスト
virtual void | requestPoint (const Vector3 &scale, const Vector3 &rotationXYZ, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| ポイントのリクエスト
virtual void | requestPoint (const Vector3 &scale, const Quaternion &rotationQuaternion, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| ポイントのリクエスト
virtual void | requestAxisPoint (const Matrix34 &matrix, Color4c color=Color4c::white, bool zTest=true)
| 軸ポイントのリクエスト
virtual void | requestAxisPoint (const Vector3 &scale, const Vector3 &rotationXYZ, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| 軸ポイントのリクエスト
virtual void | requestAxisPoint (const Vector3 &scale, const Quaternion &rotationQuaternion, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| 軸ポイントのリクエスト
virtual void | requestAxis (const Matrix34 &matrix, Color4c color=Color4c::white, bool zTest=true)
| 軸のリクエスト
virtual void | requestAxis (const Vector3 &scale, const Vector3 &rotationXYZ, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| 軸のリクエスト
virtual void | requestAxis (const Vector3 &scale, const Quaternion &rotationQuaternion, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| 軸のリクエスト
virtual void | requestArrow (const Matrix34 &matrix, Color4c color=Color4c::white, bool zTest=true)
| 矢印のリクエスト
virtual void | requestArrow (const Vector3 &scale, const Vector3 &rotationXYZ, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| 矢印のリクエスト
virtual void | requestArrow (const Vector3 &scale, const Quaternion &rotationQuaternion, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| 矢印のリクエスト
virtual void | requestGrid (const Matrix34 &matrix, Color4c color=Color4c::white, bool zTest=true)
| グリッドのリクエスト
virtual void | requestGrid (const Vector3 &scale, const Vector3 &rotationXYZ, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| グリッドのリクエスト
virtual void | requestGrid (const Vector3 &scale, const Quaternion &rotationQuaternion, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| グリッドのリクエスト
virtual void | requestPlane (const Matrix34 &matrix, Color4c color=Color4c::white, bool zTest=true)
| 平面のリクエスト
virtual void | requestPlane (const Vector3 &scale, const Vector3 &rotationXYZ, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| 平面のリクエスト
virtual void | requestPlane (const Vector3 &scale, const Quaternion &rotationQuaternion, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| 平面のリクエスト
virtual void | requestSphere (const Matrix34 &matrix, Color4c color=Color4c::white, bool zTest=true)
| 球のリクエスト
virtual void | requestSphere (const Vector3 &scale, const Vector3 &rotationXYZ, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| 球のリクエスト
virtual void | requestSphere (const Vector3 &scale, const Quaternion &rotationQuaternion, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| 球のリクエスト
virtual void | requestBox (const Matrix34 &matrix, Color4c color=Color4c::white, bool zTest=true)
| 箱のリクエスト
virtual void | requestBox (const Vector3 &scale, const Vector3 &rotationXYZ, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| 箱のリクエスト
virtual void | requestBox (const Vector3 &scale, const Quaternion &rotationQuaternion, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| 箱のリクエスト
virtual void | requestCylinder (const Matrix34 &matrix, Color4c color=Color4c::white, bool zTest=true)
| 円柱のリクエスト
virtual void | requestCylinder (const Vector3 &scale, const Vector3 &rotationXYZ, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| 円柱のリクエスト
virtual void | requestCylinder (const Vector3 &scale, const Quaternion &rotationQuaternion, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| 円柱のリクエスト
virtual void | requestCone (const Matrix34 &matrix, Color4c color=Color4c::white, bool zTest=true)
| コーンのリクエスト
virtual void | requestCone (const Vector3 &scale, const Vector3 &rotationXYZ, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| コーンのリクエスト
virtual void | requestCone (const Vector3 &scale, const Quaternion &rotationQuaternion, const Vector3 translation, Color4c color=Color4c::white, bool zTest=true)
| コーンのリクエスト
virtual bool | initializeGraphicsDeviceObjects ()
| デバイスオブジェクトの初期化
virtual void | deleteGraphicsDeviceObjects ()
| デバイスオブジェクトの削除
virtual bool | restoreGraphicsDeviceObjects ()
| デバイスオブジェクトのリストア
virtual void | invalidateGraphicsDeviceObjects ()
| デバイスオブジェクトの無効化
## Protected Member Functions
virtual void | renderRequest (Request &request)
| リクエストの描画
void | setPositionVertexDeclaration ()
| 位置の頂点記述を設定
void | setPositionColorVertexDeclaration ()
| 位置とカラーの頂点記述を設定
## Protected Attributes
ArrayList< Request > | requests_
| リクエスト
Direct3DVertexDeclaration * | positionDeclaration_
| 位置の頂点記述
Direct3DVertexDeclaration * | positionColorDeclaration_
| 位置とカラーの頂点記述
PrimitiveDrawRequest | point_
| ポイント
PrimitiveDrawRequest | axisAxisPoint_
| 軸ポイント
PrimitiveDrawRequest | axis_
| 軸
PrimitiveDrawRequest | arrow_
| 矢印
PrimitiveDrawRequest | grid_
| グリッド
PrimitiveDrawRequest | plane_
| 平面
PrimitiveDrawRequest | sphere_
| 球
PrimitiveDrawRequest | box_
| 箱
PrimitiveDrawRequest | cone_
| 円柱
PrimitiveDrawRequest | cylinder_
| コーン

## Detailed Description

プリミティブレンダラ

Definition at line 40 of file PrimitiveRenderer.h.

## Member Function Documentation

virtual bool Lamp::PrimitiveRenderer::initializeGraphicsDeviceObjects | ( |  | ) | `[inline, virtual]`

| デバイスオブジェクトの初期化 Returns: 成功したらtrueを返す Implements Lamp::GraphicsDeviceObjectHolder. Definition at line 640 of file PrimitiveRenderer.h.

void Lamp::PrimitiveRenderer::render | ( | Camera * | camera | ) | `[virtual]`

  | レンダリング Parameters:
  camera | カメラ
Definition at line 121 of file PrimitiveRenderer.cpp. References Lamp::Camera::getProjectionMatrix(), Lamp::Camera::getViewMatrix(), and render().

void Lamp::PrimitiveRenderer::render | ( | const Matrix44 & | viewMatrix,
|  | const Matrix44 & | projectionMatrix
| ) | `[virtual]`

  | レンダリング Parameters:
  viewMatrix | ビュー行列
  projectionMatrix | 投影行列
Definition at line 65 of file PrimitiveRenderer.cpp. References Lamp::RenderingDevice::applyDefaultStateBlock(), Lamp::RenderingDevice::beginScene(), Lamp::ArrayList< Request >::clear(), Lamp::RenderingDevice::endScene(), Lamp::ArrayList< Request >::getCount(), renderRequest(), request(), requests_, Lamp::ArrayList< Request >::set(), Lamp::RenderingDevice::setBlending(), Lamp::RenderingDevice::setBlendMode(), Lamp::RenderingDevice::setMaterial(), Lamp::RenderingDevice::setProjectionMatrix(), Lamp::RenderingDevice::setRenderState(), Lamp::RenderingDevice::setTextureState(), and Lamp::RenderingDevice::setViewMatrix(). Referenced by render(), Lamp::InformationRenderer::rendering(), and Lamp::CollisionRenderer::rendering().

void Lamp::PrimitiveRenderer::renderRequest | ( | Request & | request | ) | `[protected, virtual]`

  | リクエストの描画 Parameters:
  request | リクエスト
Definition at line 126 of file PrimitiveRenderer.cpp. References Assert, Lamp::PrimitiveRenderer::Request::color_, Lamp::RenderingDevice::drawIndexedLineList(), Lamp::RenderingDevice::drawLineList(), Lamp::Color4c::getARGB(), Lamp::PrimitiveDrawRequest::getIndexBuffer(), Lamp::PrimitiveDrawRequest::getVertexBuffer(), Lamp::PrimitiveDrawRequest::getVertexCount(), Lamp::PrimitiveDrawRequest::getVertexIndexCount(), Lamp::PrimitiveDrawRequest::getVertexSize(), Lamp::PrimitiveDrawRequest::hasColor(), Lamp::PrimitiveDrawRequest::hasVertexIndices(), Lamp::PrimitiveRenderer::Request::matrix_, Lamp::PrimitiveRenderer::Request::primitive_, Lamp::RenderingDevice::setIndexBuffer(), setPositionColorVertexDeclaration(), setPositionVertexDeclaration(), Lamp::RenderingDevice::setRenderState(), Lamp::RenderingDevice::setVertexBuffer(), Lamp::RenderingDevice::setWorldMatrix(), Lamp::RenderingDevice::setZTest(), and Lamp::PrimitiveRenderer::Request::zTest_. Referenced by render().

virtual void Lamp::PrimitiveRenderer::request | ( | const PrimitiveDrawRequest & | primitive,
|  | const Vector3 & | scale,
|  | const Quaternion & | rotationQuaternion,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | リクエスト Parameters:
  primitive | プリミティブ
  scale | スケール
  rotationQuaternion | 四元数回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 113 of file PrimitiveRenderer.h. References request(), and Lamp::Matrix34::setTransformationQuaternion().

virtual void Lamp::PrimitiveRenderer::request | ( | const PrimitiveDrawRequest & | primitive,
|  | const Vector3 & | scale,
|  | const Vector3 & | rotationXYZ,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | リクエスト Parameters:
  primitive | プリミティブ
  scale | スケール
  rotationXYZ | XYZ回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 95 of file PrimitiveRenderer.h. References request(), and Lamp::Matrix34::setTransformationXYZ().

void Lamp::PrimitiveRenderer::request | ( | const PrimitiveDrawRequest & | primitive,
|  | const Matrix34 & | matrix,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[virtual]`

  | リクエスト Parameters:
  primitive | プリミティブ
  matrix | 行列
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 164 of file PrimitiveRenderer.cpp. References Lamp::ArrayList< Request >::add(), Lamp::PrimitiveRenderer::Request::color_, Lamp::PrimitiveRenderer::Request::matrix_, Lamp::PrimitiveRenderer::Request::primitive_, request(), requests_, and Lamp::PrimitiveRenderer::Request::zTest_. Referenced by render(), request(), requestArrow(), requestAxis(), requestAxisPoint(), requestBox(), requestCone(), requestCylinder(), requestGrid(), requestLine(), requestPlane(), requestPoint(), requestSphere(), and Lamp::InformationRenderer::setupBone().

virtual void Lamp::PrimitiveRenderer::requestArrow | ( | const Vector3 & | scale,
|  | const Quaternion & | rotationQuaternion,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | 矢印のリクエスト Parameters:
  scale | スケール
  rotationQuaternion | 四元数回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 386 of file PrimitiveRenderer.h. References arrow_, and request().

virtual void Lamp::PrimitiveRenderer::requestArrow | ( | const Vector3 & | scale,
|  | const Vector3 & | rotationXYZ,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | 矢印のリクエスト Parameters:
  scale | スケール
  rotationXYZ | XYZ回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 372 of file PrimitiveRenderer.h. References arrow_, and request().

virtual void Lamp::PrimitiveRenderer::requestArrow | ( | const Matrix34 & | matrix,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | 矢印のリクエスト Parameters:
  matrix | 行列
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 359 of file PrimitiveRenderer.h. References arrow_, and request().

virtual void Lamp::PrimitiveRenderer::requestAxis | ( | const Vector3 & | scale,
|  | const Quaternion & | rotationQuaternion,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | 軸のリクエスト Parameters:
  scale | スケール
  rotationQuaternion | 四元数回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 346 of file PrimitiveRenderer.h. References axis_, and request().

virtual void Lamp::PrimitiveRenderer::requestAxis | ( | const Vector3 & | scale,
|  | const Vector3 & | rotationXYZ,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | 軸のリクエスト Parameters:
  scale | スケール
  rotationXYZ | XYZ回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 332 of file PrimitiveRenderer.h. References axis_, and request().

virtual void Lamp::PrimitiveRenderer::requestAxis | ( | const Matrix34 & | matrix,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | 軸のリクエスト Parameters:
  matrix | 行列
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 319 of file PrimitiveRenderer.h. References axis_, and request(). Referenced by Lamp::CollisionRenderer::renderingSetup(), and Lamp::InformationRenderer::setupAxis().

virtual void Lamp::PrimitiveRenderer::requestAxisPoint | ( | const Vector3 & | scale,
|  | const Quaternion & | rotationQuaternion,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | 軸ポイントのリクエスト Parameters:
  scale | スケール
  rotationQuaternion | 四元数回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 306 of file PrimitiveRenderer.h. References axisAxisPoint_, and request().

virtual void Lamp::PrimitiveRenderer::requestAxisPoint | ( | const Vector3 & | scale,
|  | const Vector3 & | rotationXYZ,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | 軸ポイントのリクエスト Parameters:
  scale | スケール
  rotationXYZ | XYZ回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 292 of file PrimitiveRenderer.h. References axisAxisPoint_, and request().

virtual void Lamp::PrimitiveRenderer::requestAxisPoint | ( | const Matrix34 & | matrix,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | 軸ポイントのリクエスト Parameters:
  matrix | 行列
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 279 of file PrimitiveRenderer.h. References axisAxisPoint_, and request().

virtual void Lamp::PrimitiveRenderer::requestBox | ( | const Vector3 & | scale,
|  | const Quaternion & | rotationQuaternion,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | 箱のリクエスト Parameters:
  scale | スケール
  rotationQuaternion | 四元数回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 546 of file PrimitiveRenderer.h. References box_, and request().

virtual void Lamp::PrimitiveRenderer::requestBox | ( | const Vector3 & | scale,
|  | const Vector3 & | rotationXYZ,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | 箱のリクエスト Parameters:
  scale | スケール
  rotationXYZ | XYZ回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 532 of file PrimitiveRenderer.h. References box_, and request().

virtual void Lamp::PrimitiveRenderer::requestBox | ( | const Matrix34 & | matrix,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | 箱のリクエスト Parameters:
  matrix | 行列
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 519 of file PrimitiveRenderer.h. References box_, and request(). Referenced by Lamp::CollisionRenderer::setupStaticDeformedMeshCollision().

virtual void Lamp::PrimitiveRenderer::requestCone | ( | const Vector3 & | scale,
|  | const Quaternion & | rotationQuaternion,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | コーンのリクエスト Parameters:
  scale | スケール
  rotationQuaternion | 四元数回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 627 of file PrimitiveRenderer.h. References cone_, and request().

virtual void Lamp::PrimitiveRenderer::requestCone | ( | const Vector3 & | scale,
|  | const Vector3 & | rotationXYZ,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | コーンのリクエスト Parameters:
  scale | スケール
  rotationXYZ | XYZ回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 613 of file PrimitiveRenderer.h. References cone_, and request().

virtual void Lamp::PrimitiveRenderer::requestCone | ( | const Matrix34 & | matrix,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | コーンのリクエスト Parameters:
  matrix | 行列
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 600 of file PrimitiveRenderer.h. References cone_, and request().

virtual void Lamp::PrimitiveRenderer::requestCylinder | ( | const Vector3 & | scale,
|  | const Quaternion & | rotationQuaternion,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | 円柱のリクエスト Parameters:
  scale | スケール
  rotationQuaternion | 四元数回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 586 of file PrimitiveRenderer.h. References cylinder_, and request().

virtual void Lamp::PrimitiveRenderer::requestCylinder | ( | const Vector3 & | scale,
|  | const Vector3 & | rotationXYZ,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | 円柱のリクエスト Parameters:
  scale | スケール
  rotationXYZ | XYZ回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 572 of file PrimitiveRenderer.h. References cylinder_, and request().

virtual void Lamp::PrimitiveRenderer::requestCylinder | ( | const Matrix34 & | matrix,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | 円柱のリクエスト Parameters:
  matrix | 行列
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 559 of file PrimitiveRenderer.h. References cylinder_, and request().

virtual void Lamp::PrimitiveRenderer::requestGrid | ( | const Vector3 & | scale,
|  | const Quaternion & | rotationQuaternion,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | グリッドのリクエスト Parameters:
  scale | スケール
  rotationQuaternion | 四元数回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 426 of file PrimitiveRenderer.h. References grid_, and request().

virtual void Lamp::PrimitiveRenderer::requestGrid | ( | const Vector3 & | scale,
|  | const Vector3 & | rotationXYZ,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | グリッドのリクエスト Parameters:
  scale | スケール
  rotationXYZ | XYZ回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 412 of file PrimitiveRenderer.h. References grid_, and request().

virtual void Lamp::PrimitiveRenderer::requestGrid | ( | const Matrix34 & | matrix,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | グリッドのリクエスト Parameters:
  matrix | 行列
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 399 of file PrimitiveRenderer.h. References grid_, and request(). Referenced by Lamp::InformationRenderer::setupGrid().

virtual void Lamp::PrimitiveRenderer::requestLine | ( | int | vertexCount,
|  | Vector3 * | positions,
|  | Color4c * | colors,
|  | const Vector3 & | scale,
|  | const Quaternion & | rotationQuaternion,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | 線のリクエスト Parameters:
  vertexCount | 頂点数
  positions | 位置配列
  colors | 色配列
  scale | スケール
  rotationQuaternion | 四元数回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 220 of file PrimitiveRenderer.h. References requestLine(), and Lamp::Matrix34::setTransformationQuaternion().

virtual void Lamp::PrimitiveRenderer::requestLine | ( | int | vertexCount,
|  | Vector3 * | positions,
|  | Color4c * | colors,
|  | const Vector3 & | scale,
|  | const Vector3 & | rotationXYZ,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | 線のリクエスト Parameters:
  vertexCount | 頂点数
  positions | 位置配列
  colors | 色配列
  scale | スケール
  rotationXYZ | XYZ回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 200 of file PrimitiveRenderer.h. References requestLine(), and Lamp::Matrix34::setTransformationXYZ().

void Lamp::PrimitiveRenderer::requestLine | ( | int | vertexCount,
|  | Vector3 * | positions,
|  | Color4c * | colors,
|  | const Matrix34 & | matrix,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[virtual]`

  | 線のリクエスト Parameters:
  vertexCount | 頂点数
  positions | 位置配列
  colors | 色配列
  matrix | 行列
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 188 of file PrimitiveRenderer.cpp. References Assert, Lamp::PrimitiveDrawRequest::enableColor(), NULL, request(), Lamp::PrimitiveDrawRequest::setColor(), Lamp::PrimitiveDrawRequest::setPosition(), and Lamp::PrimitiveDrawRequest::setVertexCount().

virtual void Lamp::PrimitiveRenderer::requestLine | ( | int | vertexCount,
|  | Vector3 * | positions,
|  | const Vector3 & | scale,
|  | const Quaternion & | rotationQuaternion,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | 線のリクエスト Parameters:
  vertexCount | 頂点数
  positions | 位置配列
  scale | スケール
  rotationQuaternion | 四元数回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 165 of file PrimitiveRenderer.h. References requestLine(), and Lamp::Matrix34::setTransformationQuaternion().

virtual void Lamp::PrimitiveRenderer::requestLine | ( | int | vertexCount,
|  | Vector3 * | positions,
|  | const Vector3 & | scale,
|  | const Vector3 & | rotationXYZ,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | 線のリクエスト Parameters:
  vertexCount | 頂点数
  positions | 位置配列
  scale | スケール
  rotationXYZ | XYZ回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 146 of file PrimitiveRenderer.h. References requestLine(), and Lamp::Matrix34::setTransformationXYZ().

void Lamp::PrimitiveRenderer::requestLine | ( | int | vertexCount,
|  | Vector3 * | positions,
|  | const Matrix34 & | matrix,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[virtual]`

  | 線のリクエスト Parameters:
  vertexCount | 頂点数
  positions | 位置配列
  matrix | 行列
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 175 of file PrimitiveRenderer.cpp. References Assert, NULL, request(), Lamp::PrimitiveDrawRequest::setPosition(), and Lamp::PrimitiveDrawRequest::setVertexCount(). Referenced by requestLine(), and Lamp::CollisionRenderer::setupStaticDeformedMeshCollision().

virtual void Lamp::PrimitiveRenderer::requestPlane | ( | const Vector3 & | scale,
|  | const Quaternion & | rotationQuaternion,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | 平面のリクエスト Parameters:
  scale | スケール
  rotationQuaternion | 四元数回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 466 of file PrimitiveRenderer.h. References plane_, and request().

virtual void Lamp::PrimitiveRenderer::requestPlane | ( | const Vector3 & | scale,
|  | const Vector3 & | rotationXYZ,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | 平面のリクエスト Parameters:
  scale | スケール
  rotationXYZ | XYZ回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 452 of file PrimitiveRenderer.h. References plane_, and request().

virtual void Lamp::PrimitiveRenderer::requestPlane | ( | const Matrix34 & | matrix,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | 平面のリクエスト Parameters:
  matrix | 行列
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 439 of file PrimitiveRenderer.h. References plane_, and request().

virtual void Lamp::PrimitiveRenderer::requestPoint | ( | const Vector3 & | scale,
|  | const Quaternion & | rotationQuaternion,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | ポイントのリクエスト Parameters:
  scale | スケール
  rotationQuaternion | 四元数回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 266 of file PrimitiveRenderer.h. References point_, and request().

virtual void Lamp::PrimitiveRenderer::requestPoint | ( | const Vector3 & | scale,
|  | const Vector3 & | rotationXYZ,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | ポイントのリクエスト Parameters:
  scale | スケール
  rotationXYZ | XYZ回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 252 of file PrimitiveRenderer.h. References point_, and request().

virtual void Lamp::PrimitiveRenderer::requestPoint | ( | const Matrix34 & | matrix,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | ポイントのリクエスト Parameters:
  matrix | 行列
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 239 of file PrimitiveRenderer.h. References point_, and request().

virtual void Lamp::PrimitiveRenderer::requestSphere | ( | const Vector3 & | scale,
|  | const Quaternion & | rotationQuaternion,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | 球のリクエスト Parameters:
  scale | スケール
  rotationQuaternion | 四元数回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 506 of file PrimitiveRenderer.h. References request(), and sphere_.

virtual void Lamp::PrimitiveRenderer::requestSphere | ( | const Vector3 & | scale,
|  | const Vector3 & | rotationXYZ,
|  | const Vector3 | translation,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | 球のリクエスト Parameters:
  scale | スケール
  rotationXYZ | XYZ回転
  translation | 移動
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 492 of file PrimitiveRenderer.h. References request(), and sphere_.

virtual void Lamp::PrimitiveRenderer::requestSphere | ( | const Matrix34 & | matrix,
|  | Color4c | color = Color4c::white,
|  | bool | zTest = true
| ) | `[inline, virtual]`

  | 球のリクエスト Parameters:
  matrix | 行列
  color | 色
  zTest | Zテストを行うならtrue
Definition at line 479 of file PrimitiveRenderer.h. References request(), and sphere_. Referenced by Lamp::InformationRenderer::setupMeshBounding(), Lamp::CollisionRenderer::setupStaticDeformedMeshCollision(), and Lamp::CollisionRenderer::setupStaticSphereCollision().

virtual bool Lamp::PrimitiveRenderer::restoreGraphicsDeviceObjects | ( |  | ) | `[inline, virtual]`

| デバイスオブジェクトのリストア Returns: 成功したらtrueを返す Implements Lamp::GraphicsDeviceObjectHolder. Definition at line 651 of file PrimitiveRenderer.h.

void Lamp::PrimitiveRenderer::setPositionColorVertexDeclaration | ( |  | ) | `[protected]`

| 位置とカラーの頂点記述を設定 Returns: 位置の頂点記述 Definition at line 225 of file PrimitiveRenderer.cpp. References Lamp::RenderingDevice::createVertexDeclaration(), NULL, positionColorDeclaration_, and Lamp::RenderingDevice::setVertexDeclaration(). Referenced by renderRequest().

void Lamp::PrimitiveRenderer::setPositionVertexDeclaration | ( |  | ) | `[protected]`

| 位置の頂点記述を設定 Returns: 位置の頂点記述 Definition at line 215 of file PrimitiveRenderer.cpp. References Lamp::RenderingDevice::createVertexDeclaration(), NULL, positionDeclaration_, and Lamp::RenderingDevice::setVertexDeclaration(). Referenced by renderRequest().

The documentation for this class was generated from the following files:

- PrimitiveRenderer.h
- PrimitiveRenderer.cpp